/* Single Product Style */

@media (min-width: 768px) {
    .card3D {
        height: -webkit-fit-content;
        height: fit-content;
        width: -webkit-fit-content;
        width: fit-content;
        /*border: none;*/
        -webkit-transition: 0.3s;
        transition: 0.3s;
      
    }
}

.card3D:hover {
    transform: scale(1.02);
}

@media (min-width: 768px) {
  .effect3D {
    -webkit-perspective: 600px;
    perspective: 600px;
  }
}

.pcard {
    position: relative;
    aspect-ratio: 0.7;
    width: calc(45vw);
    max-width: 300px;
    -webkit-box-shadow: 0px 0px 20px rgba(0,0,0,0.63);
    box-shadow: 0px 0px 20px rgba(0,0,0,0.63);
    transition: all 0.2s linear;
    -webkit-transition: all 0.2s linear;
    z-index: 1;
    font-size: 2vw;
    margin-bottom: clamp(15px,2vw,20px);
    cursor: pointer;
    border: 1px solid rgba(255,103,39,0);
    height: 100%;
    will-change: transform;
}

@media (min-width: 768px) {
    .pcard:hover {
        -webkit-box-shadow: 0px 0px 20px rgba(0,0,0,0.45), 0px 0px 10px rgba(255,129,38,0.41), inset 0px 0px 10px rgba(255,129,38,0.41);
        box-shadow: 0px 0px 20px rgba(0,0,0,0.45), 0px 0px 10px rgba(255,129,38,0.41), inset 0px 0px 10px rgba(255,129,38,0.41);
        border-width: 1px;
        border-style: solid;
        border-color: #ff8126;
        transition: all 0.2s cubic-bezier(0, 0, 0.58, 1.0);
        -webkit-transition: all 0.2s cubic-bezier(0, 0, 0.58, 1.0);

    }
}

@media (min-width: 768px) {
  .effect3D-2 {
    transform-style: preserve-3d;
    -webkit-transform-style: preserve-3d;
  }
}

.pseudo {
  position: relative;
  background: radial-gradient(#404040 27%, #232323 100%);
}

@media (min-width: 768px) {
    .pseudo::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: -webkit-gradient(linear, left top, left bottom, color-stop(50%, rgba(0,0,0,0)), to(rgba(255,129,38,0.39)));
        background: linear-gradient(rgba(0,0,0,0) 50%, rgba(255,129,38,0.39));
        opacity: 0;
        -webkit-transition: opacity 0.4s;
        transition: opacity 0.4s;
        z-index: -1;

        
    }
}

.pseudo:hover::before {
    opacity: 1;

}

.pcard-click {
  position: absolute;
  height: 100%;
  width: 100%;
}

.pcard .pricetag {
  z-index: 1;
  height: 100%;
  width: 50%;
  bottom: 0px;
  left: 0;
  -webkit-box-pack: center;
  justify-content: center;
  background: rgb(0,0,0);
  pointer-events: none;
}

    .pcard .pricetag p {
        font-size: 1.3em;
        letter-spacing: 0.5px;
        text-align: center;
        margin-bottom: 0;
        display: flex;
        justify-content: center;
        align-items: baseline;
        line-height: normal;
    }

@media (max-width: 768px) {
    .pcard .pricetag p {
        font-size: 1.6em;
    }
}

.pcard.discount-card .pricetag p {
    height: 50%;
}

.pcard .pricetag .beforediscount {
  display: none;
}

.pcard.discount-card .beforediscount {
    display: flex;
    color: #ff2133;
    font-weight: bold;
}

    .pcard.discount-card .beforediscount .price {
        text-decoration: underline;
        text-underline-offset: -35%;
        text-decoration-skip-ink: none;
    }

.pcard button {
    z-index: 5;
    height: 100%;
    width: 50%;
    border: none !important;
    border-radius: 0px;
    -webkit-transform: translateZ(1px);
    transform: translateZ(1px);
    background: #ff6626;
    font-size: 1em;
    padding: 0 !important;
    color: #000000;
    font-family: 'Oswald';
    font-weight: bold;
    letter-spacing: 0px;
}


.pbuttons {
    position: relative;
    height: 12.5%;
    min-height: 12.5%;
    width: 100%;
    padding-top: 3%;
}

.pcard button svg {
    font-size: clamp(12px, 2vw, 18px);
    transform: translateY(-1px);
    margin-inline-end: 5px;
}


.pcard:not(.builder) .configure-icon {
  display: none;
}

.pcard button:hover {
  background-color: #ff8a00;
  background-color: #b10b00;
  color: white;
}

.pcard .product-img-container {
    width: 100%;
    height: 150%;
    max-height: 67%;
    padding-top: 25px;
    padding-bottom: 5px;
    object-fit: scale-down;
    -webkit-transform: translateZ(15px);
    transform: translateZ(15px);
    z-index: 1;
    flex-shrink: 1;
    min-height: 0;
    pointer-events: none;
    position: relative; /* Added this */
}

.product-img-container {
    position: relative;
    overflow: hidden;
}

    .product-img-container img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: contain;
        transition: opacity 0.3s ease;
        opacity: 0;
        display: none;
    }

        .product-img-container img:first-child {
            opacity: 1;
            display: unset;
        }

    .product-img-container::after {
        content: '';
        position: absolute;
        top: 2%;
        right: 2%;
        width: 15%;
        height: 15%;
        opacity: 0;
        background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="15%" viewBox="0 0 200 200"><radialGradient id="a12" cx=".66" fx=".66" cy=".3125" fy=".3125" gradientTransform="scale(1.5)"><stop offset="0" stop-color="%23FF4900"></stop><stop offset=".3" stop-color="%23FF4900" stop-opacity=".9"></stop><stop offset=".6" stop-color="%23FF4900" stop-opacity=".6"></stop><stop offset=".8" stop-color="%23FF4900" stop-opacity=".3"></stop><stop offset="1" stop-color="%23FF4900" stop-opacity="0"></stop></radialGradient><circle transform-origin="center" fill="none" stroke="url(%23a12)" stroke-width="5" stroke-linecap="round" stroke-dasharray="200 1000" stroke-dashoffset="0" cx="100" cy="100" r="70"><animateTransform type="rotate" attributeName="transform" calcMode="spline" dur="0.7" values="360;0" keyTimes="0;1" keySplines="0 0 1 1" repeatCount="indefinite"></animateTransform></circle><circle transform-origin="center" fill="none" opacity=".2" stroke="%23FF4900" stroke-width="5" stroke-linecap="round" cx="100" cy="100" r="70"></circle></svg>');
        background-repeat: no-repeat;
        background-position: center;
        transition: opacity 0.5s ease;
    }

    .product-img-container.loadingNext::after {
        opacity: 0.4;
    }


@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}


.pcard .placeholder-img {
    object-fit: contain;
    width: 100%;
    height: 100%;
    padding-top: 10px;
    -webkit-transform: translateZ(15px);
    transform: translateZ(15px);
    z-index: 1;
    pointer-events: none;
}

.pcard h2 {
    padding-right: 2%;
    padding-left: 2%;
    font-size: 1.4em;
    text-align: center;
    text-shadow: 0px 0px 11px rgba(255,103,39,0.6), 0px 3px 10px rgb(0,0,0);
    display: -webkit-box;
    display: flex;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin-bottom: 5px;
}

/* Decorations */

.pcard .brand {
    position: absolute;
    width: 27%;
    height: 6.5%;
    top: 12px;
    left: 8px;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    display: flex;
    padding-right: 2px;
    padding-left: 2px;
    border-radius: 10px;
    background: rgba(0,0,0,0.71);
    -webkit-box-shadow: 0px 0px 20px rgba(0,0,0,0.45);
    box-shadow: 0px 0px 20px rgba(0,0,0,0.45);
    z-index: 50;
    -webkit-transform: translateZ(15px);
    transform: translateZ(15px);
}

.pcard .brand img {
  height: 100%;
  width: 90%;
  object-fit: contain;
}

.pcard .tamara {
    position: absolute;
    width: 27%;
    height: 6.5%;
    top: 12px;
    right: 8px;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    display: flex;
    padding-right: 1px;
    padding-left: 1px;
    border-radius: 10px;
    background: rgba(0,0,0,0.71);
    -webkit-box-shadow: 0px 0px 20px rgba(0,0,0,0.45);
    box-shadow: 0px 0px 20px rgba(0,0,0,0.45);
    z-index: 50;
    -webkit-transform: translateZ(15px);
    transform: translateZ(15px);
}

    .pcard .tamara img {
        height: 100%;
        width: 90%;
        object-fit: contain;
    }

.pcard .tagcol {
    width: 96%;
    display: -webkit-box;
    display: flex;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin-top: auto;
    flex-wrap: wrap;
}

    .pcard .tagcol .tag {
        padding-right: 5px;
        padding-left: 5px;
        margin-inline-end: 10px;
        background: #ff4656;
        -webkit-box-shadow: 0px 0px 5px;
        box-shadow: 0px 0px 5px;
        border-radius: 4px;
        font-size: 0.8em;
        white-space: nowrap;
        font-weight: bold;
        letter-spacing: -0.5px;
        will-change: transform;
        padding-top: 1px !important;
        padding-bottom: 1px;
        margin-top: 5px;
        margin-bottom: 5px;
    }

.tagcol p {
    text-align: center;
    color: #ffffff;
    margin-bottom: 0px;
    font-size: 1.2em;
}

.pcard .discountcutter {
    display: none;
    position: absolute;
    overflow: hidden;
    top: 0;
    right: 0;
    width: 40%;
    height: 30%;
    z-index: 50;
    -webkit-transform: translateZ(15px);
    transform: translateZ(15px); 
}

.pcard.discount-card .discountcutter {
  display: block;
}

.pcard .discountbanner {
    background-color: rgb(179,0,15);
    pointer-events: none;
    position: absolute;
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: end;
    align-items: end;
    height: 100%;
    width: 100%;
    -webkit-transform: translateX(55%) translateY(-55%) rotate(45deg);
    -ms-transform: translateX(55%) translateY(-55%) rotate(45deg);
    transform: translateX(55%) translateY(-55%) rotate(45deg);
   will-change: transform;
}

.discountbanner p {
  width: 30%;
  line-height: 100%;
  text-align: center;
  font-size: 1.2em;
  margin-bottom: 5%;
}

.pcard.builder .cart-icon {
  display: none;
}

.pcard.outofstock .cart-icon, .pcard.outofstock .configure-icon {
    display: none;
}

.pcard.outofstock button {
    background-color: DimGray;
}

/* RESPONSIVE */

@media (min-width: 768px) {
  .pcard, .discountbanner p {
    font-size: 16px;
  }
}



@media (max-width: 680px) {
  .pcard .brand, .pcard .tamara {
    left: 3px;
    top: 3px;
  }
}

@media (max-width: 680px) {
    .pcard .tamara {
        right: 3px;
        top: 3px;
    }
}

@media (min-width: 600px) {
  .pcard .product-img-container {
    filter: drop-shadow(0 10px 8px #000000e9);
  }
}


